export const ColorLegend = ({
  colorScale,
  tickSpacing = 25,
  tickWidth = 30,
  tickHeight = 3,
  tickTextOffset = 40,
  tickYOffset = 30,
  onHover,
  hoveredValue,
  fadeOpacity
}) =>
  colorScale.domain().map((domainValue, i) => (
    <g 
      className="tick"
      transform={`translate(0, ${i * tickSpacing + tickYOffset})`}
      onMouseEnter={ () => { onHover(domainValue); }}
      //onMouseOut={ () => { onHover(null); }}
      opacity={hoveredValue && domainValue !== hoveredValue ? fadeOpacity : 1}
    >
      <rect
        fill={colorScale(domainValue)}
        width={tickWidth}
        height={tickHeight}
      />
      <text x={tickTextOffset} y={tickHeight/2} dy={".32em"}>{domainValue}</text>
    </g>
  ));




//           <Marks
//             data={ATL}
//             angleScale={angleScale}
//             radiusScale={radiusScale}
//             xValue={xValue}
//             yValue={yValue}
//             colorValue={colorValue}
//             colorScale={colorScale}
//             tooltipFormat={xAxisTickFormat}
//             hoveredValue={'ATL'}
//           />

          // <Marks
          //   data={ORD}
          //   angleScale={angleScale}
          //   radiusScale={radiusScale}
          //   xValue={xValue}
          //   yValue={yValue}
          //   colorValue={colorValue}
          //   colorScale={colorScale}
          //   tooltipFormat={xAxisTickFormat}
          //   hoveredValue={'ORD'}
          // />
          // <Marks
          //   data={DEN}
          //   angleScale={angleScale}
          //   radiusScale={radiusScale}
          //   xValue={xValue}
          //   yValue={yValue}
          //   colorValue={colorValue}
          //   colorScale={colorScale}
          //   tooltipFormat={xAxisTickFormat}
          //   hoveredValue={'DEN'}
          // />
          // <Marks
          //   data={DFW}
          //   angleScale={angleScale}
          //   radiusScale={radiusScale}
          //   xValue={xValue}
          //   yValue={yValue}
          //   colorValue={colorValue}
          //   colorScale={colorScale}
          //   tooltipFormat={xAxisTickFormat}
          //   hoveredValue={'DFW'}
          // />
          // <Marks
          //   data={ORD}
          //   angleScale={angleScale}
          //   radiusScale={radiusScale}
          //   xValue={xValue}
          //   yValue={yValue}
          //   colorValue={colorValue}
          //   colorScale={colorScale}
          //   tooltipFormat={xAxisTickFormat}
          //   hoveredValue={'ORD'}
          // />
