import { line, curveNatural, lineRadial, curveLinearClosed } from 'd3';
export const Marks = ({
  data,
  angleScale,
  radiusScale,
  xValue,
  yValue,
  colorValue,
  colorScale,
  tooltipFormat,
  hoveredValue
}) => (

  <g className="marks">
  <path 
    stroke = {colorScale(hoveredValue)}
    d={lineRadial()
       .angle(d => angleScale(xValue(d)))
       .radius(d => radiusScale(yValue(d)))
       .curve(curveLinearClosed)(data)}
  /> 
    
    
</g>
);

